<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\WssField;


class WssFieldAllgemeinBankbezAnhandIban extends WssField
{
  public function getValueFromPost(string $requestPrefix = '')
  {
    $iban = \PostOperations::getVarValue(($requestPrefix === '' ? '' : $requestPrefix . '_') . $this->getDatamodulName() . '_' . 'iban');
    $ibanOhneLeerzeichen = str_replace(' ', '', $iban);
    $bankbez = \BankDatenOperations::getBankbezeichnungAnhandIban($ibanOhneLeerzeichen);

    return (!empty($bankbez)) ? $bankbez : \StringOperations::substr(parent::getValueFromPost($requestPrefix), 0, 30);
  }

  public function getDefaultMaxLength(): ?int
  {
    return 30;
  }
}